{-# LANGUAGE OverloadedStrings, RecordWildCards #-}

import Application
import Breve.Common

import Control.Applicative
import Network.Wai.Handler.Warp
import Network.Wai.Middleware.RequestLogger

main :: IO ()
main = do
  ServerSettings {..} <- newServerSettings
  putStrLn ("Serving on " ++ bindUrl)
  app (runSettings warpSettings . logStdout)